n_notes = 20; % number of notes to be used
offset_note = 36; % offset midi note

stencil_pent_major = [2 2 3 2 3]; % -2 -2 -3 -2 -3
stencil_pent_minor = [3 2 2 3 2]; % -3 -2 -2 -3 -2
stencil_diat_major = [2 2 1 2 2 2 1]; % -2 -2 -1 -2 -2 -2 -1
stencil_diat_minor = [2 1 2 2 1 2 2]; % -2 -1 -2 -2 -1 -2 -2

stencil = stencil_diat_major;

array_of_ids = zeros(1,n_notes);
array_of_notes = zeros(1,n_notes);
array_of_notes(1) = offset_note;

% filling the arrays of ids and notes
ids = 1:length(stencil);
index = 1;
for i = 1:n_notes
    array_of_ids(i) = ids(index);
    if i > 1
        array_of_notes(i) = array_of_notes(i-1)+stencil(index);
    end
    index = index+1;
    if index == (length(stencil)+1)
        index = 1;
    end
end

in_index = n_notes/2;
in_n_notes = 4;
in_direction = 0;
in_id = 1;
[out_notes1, out_index, out_direction] = notesonestepmodelfirstofid(in_id, in_n_notes, in_index, array_of_ids, array_of_notes, in_direction);
[out_notes2, out_index, out_direction] = notesonestepmodel(in_n_notes, out_index, array_of_notes, out_direction);
[out_notes3, out_index, out_direction] = notesonestepmodel(in_n_notes, out_index, array_of_notes, out_direction);
[out_notes4, out_index, out_direction] = notesonestepmodel(in_n_notes, out_index, array_of_notes, out_direction);
nmat = createnmat([out_notes1 out_notes2 out_notes3 out_notes4]);
playsound(nmat);
% writemidi(nmat,'Sequence.mid');
